Subject: Re: [PATCH 0/2] Log pretty format alignment improvements

From: Duy Nguyen <[email-masked]>
Date: Fri, 17 Jun 2016 18:27:07 +0700

On Thu, Jun 16, 2016 at 11:25:28AM -0700, Junio C Hamano wrote:
> Nguyễn Thái Ngọc Duy  <[email-masked]> writes:
> 
> > The first patch was from a long time ago. The concern was it may be
> > breaking existing user expectation [1]. I still maintain that it's a good
> > thing to do and should not break anything. Hence the resubmission.
> 
> I do not think "it's a good feature to have" was a question from the
> beginning.  Thread [1] stopped with me saying "as long as >(N) can
> be used as Duy claims as a workaround to get the original behaviour,
> it is good to allow using >|(N) for this new output format; I didn't
> check if >(N) does behave that way, though".  What was necessary to
> resurrect the patch was "Yes, >(N) can be used that way and here is
> a test" or something like that.

Ah ok. This command with this series (using %>(n))

~/w/git/git log --format='%>(50,trunc)%s' --graph -15 origin/pu

and the system one at version 2.7.3 (using %>|(n))

/usr/bin/git log --format='%>|(50,trunc)%s' --graph -15 origin/pu

both produce the same output like this, checked with md5sum

*   Merge branch 'js/am-3-merge-recursive-direct' in..
|\  
| *          am: make a direct call to merge_recursive
| * merge_recursive_options: introduce the "gently" ..
* |            Merge branch 'tb/complete-status' into pu
|\ \  
| * |                         completion: add git status
| * |      completion: add __git_get_option_value helper
| * | completion: factor out untracked file modes into..
* | |    Merge branch 'mj/log-show-signature-conf' into pu
|\ \ \  
| * | |    log: "--no-show-signature" commmand-line option
| * | | log: add "log.showsignature" configuration varia..
* | | |              Merge branch 'nd/worktree-lock' into pu
|\ \ \ \  
| * | | |  worktree.c: find_worktree() search by path suffix
| * | | |                     worktree: add "unlock" command
| * | | |                       worktree: add "lock" command
| * | | |               worktree.c: add is_worktree_locked()

The output looks weird though, which makes me a bit hesitate to add it
in the test suite...
--
Duy